#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
const ll MOD = 1e9+7;
const int N = 1e6+5;

int n,a[N],k,cnt[2*N];
vector<int>ans;

int main()
{
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    cin>>n>>k;

    for(int i=1;i<=n;i++){
        int x;
        cin>>x;
        cnt[x+n]++;
    }
    for(int i=0;i<=2*n;i++){
        if(cnt[i]>=k){
            ans.push_back(i-n);
        }
    }

    cout<<(int)ans.size()<<"\n";
    for(auto e:ans)cout<<e<<" ";
    return 0;
}